package cn.com.qmth.examcloud.core.oe.admin.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetSubjectiveAnswerReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QuerySubjectiveAnswerListReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.SaveSubjectiveQuestionScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetSubjectiveAnswerResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QuerySubjectiveAnswerListResp;

public interface ExamRecordQuestionsCloudService extends CloudService{

	/**
	 * 根据考试记录ID获取主观题答案集合
	 * @param req
	 * @return
	 */
	public QuerySubjectiveAnswerListResp querySubjectiveAnswerList(QuerySubjectiveAnswerListReq req);
	
	/**
	 * 阅卷回传主观题分数
	 * @param req
	 */
	public void saveSubjectiveQuestionScore(SaveSubjectiveQuestionScoreReq req);

	/**
	 * 批量获取主观题答案（此接口外部工具调用）
	 * @return
	 */
	GetSubjectiveAnswerResp getSubjectiveAnswerList(GetSubjectiveAnswerReq req);
}
