package cn.com.qmth.examcloud.examwork.api.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.enums.ExamSpecialSettingsType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试--特殊设置
 *
 * @author WANGWEI
 * @date 2018年5月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamSpecialSettingsBean implements JsonSerializable {

	private static final long serialVersionUID = -3335725218626631530L;

	private Long id;

	private Long examId;

	private Long courseId;

	private Long orgId;

	private Long studentId;

	private Long rootOrgId;

	private String examType;

	private Boolean examEnable;

	private Date beginTime;

	private Date endTime;

	private Boolean examLimit;

	private Boolean specialSettingsEnabled;

	private ExamSpecialSettingsType specialSettingsType;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public Boolean getExamEnable() {
		return examEnable;
	}

	public void setExamEnable(Boolean examEnable) {
		this.examEnable = examEnable;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Boolean getExamLimit() {
		return examLimit;
	}

	public void setExamLimit(Boolean examLimit) {
		this.examLimit = examLimit;
	}

	public Boolean getSpecialSettingsEnabled() {
		return specialSettingsEnabled;
	}

	public void setSpecialSettingsEnabled(Boolean specialSettingsEnabled) {
		this.specialSettingsEnabled = specialSettingsEnabled;
	}

	public ExamSpecialSettingsType getSpecialSettingsType() {
		return specialSettingsType;
	}

	public void setSpecialSettingsType(ExamSpecialSettingsType specialSettingsType) {
		this.specialSettingsType = specialSettingsType;
	}

}
