package cn.com.qmth.examcloud.core.oe.admin.api.response;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.ScoreDataBean;

public class GetFinalScoreDataResp extends BaseResponse {

	private static final long serialVersionUID = 7643805576514948677L;

	// 是否缺考
	private Boolean isAbsent;

	// 是否违纪
	private Boolean isIllegality;

	// 是否已审
	private Boolean isAudit;

	// 最终成绩对象（缺考/违纪/未审核 时，此对象为null）
	private ScoreDataBean scoreDataBean;

	// 所有的考试分数集合
	private List<ScoreDataBean> allScoreDataBeanList;

	public Boolean getAbsent() {
		return isAbsent;
	}

	public void setAbsent(Boolean absent) {
		isAbsent = absent;
	}

	public Boolean getIllegality() {
		return isIllegality;
	}

	public void setIllegality(Boolean illegality) {
		isIllegality = illegality;
	}

	public Boolean getAudit() {
		return isAudit;
	}

	public void setAudit(Boolean audit) {
		isAudit = audit;
	}

	public ScoreDataBean getScoreDataBean() {
		return scoreDataBean;
	}

	public void setScoreDataBean(ScoreDataBean scoreDataBean) {
		this.scoreDataBean = scoreDataBean;
	}

	public List<ScoreDataBean> getAllScoreDataBeanList() {
		return allScoreDataBeanList;
	}

	public void setAllScoreDataBeanList(List<ScoreDataBean> allScoreDataBeanList) {
		this.allScoreDataBeanList = allScoreDataBeanList;
	}

}
