package cn.com.qmth.examcloud.core.oe.admin.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.QuerySubjectiveAnswerBean;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.SubjectiveAnswerBean;

import java.util.List;
/**
 * @Description 获取主观题响应类
 * @Author lideyin
 * @Date 2019/11/19 15:43
 * @Version 1.0
 */

public class GetSubjectiveAnswerResp extends BaseResponse {

	private static final long serialVersionUID = 99964425599746265L;

	/**
	 * 下一个考试记录id
	 */
	private Long nextExamRecordDataId;

	/**
	 * 主观题答案
	 */
	private List<SubjectiveAnswerBean> subjectiveAnswerList;

	public GetSubjectiveAnswerResp() {
	}

	public GetSubjectiveAnswerResp(Long nextExamRecordDataId, List<SubjectiveAnswerBean> subjectiveAnswerList) {
		this.nextExamRecordDataId = nextExamRecordDataId;
		this.subjectiveAnswerList = subjectiveAnswerList;
	}

	public Long getNextExamRecordDataId() {
		return nextExamRecordDataId;
	}

	public void setNextExamRecordDataId(Long nextExamRecordDataId) {
		this.nextExamRecordDataId = nextExamRecordDataId;
	}

	public List<SubjectiveAnswerBean> getSubjectiveAnswerList() {
		return subjectiveAnswerList;
	}

	public void setSubjectiveAnswerList(List<SubjectiveAnswerBean> subjectiveAnswerList) {
		this.subjectiveAnswerList = subjectiveAnswerList;
	}
}
