package cn.com.qmth.examcloud.core.oe.student.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

import java.util.List;

/**
 * @Description 更新阅卷原始数据表的批次号
 * @Author lideyin
 * @Date 2019/10/22 11:05
 * @Version 1.0
 */
public class UpdateExamRecordForMarkingBatchNumReq extends BaseRequest {
    private static final long serialVersionUID = -2055534487863410435L;

    /**
     * 阅卷原始数据表主键id（最大不得超过100条数据）
     */
    private List<Long> idList;
    /**
     * 批次号
     */
    private String batchNum;

    public List<Long> getIdList() {
        return idList;
    }

    public void setIdList(List<Long> idList) {
        this.idList = idList;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }
}
