package cn.com.qmth.examcloud.core.reports.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.StudentTotalCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.SaveStudentTotalCountReq;
import cn.com.qmth.examcloud.core.reports.api.response.SaveStudentTotalCountResp;

@Service
public class StudentTotalCountCloudServiceClient extends AbstractCloudClientSupport
        implements StudentTotalCountCloudService {

    /**
     * 
     */
    private static final long serialVersionUID = -3250796436128037599L;

    @Override
    public SaveStudentTotalCountResp save(SaveStudentTotalCountReq req) {
        return post("studentTotalCount/save", req, SaveStudentTotalCountResp.class);
    }
}
